require( "scripts/objects/fight_up_spot.lua" );

fightup1 = fight_up_spot:new{
	object_name="fightup1",	
	fight_down_spot_name = "fightdown1";
	object_dad_warning = "dadwarning1";
	object_mom_warning = "momwarning1";
	
	flipped_animation = false;
	
	object_dad_disciplining = "daddiscipline1";
	object_mom_disciplining = "momdiscipline1";
	
	--anchor_x=0,
	--anchor_y=0,
}

function fightup1:clean_youngchild_action(character_name)
	self.current_action_character = character_name;
	if GetObjectState(self.fight_down_spot_name) == "childon" then
		ChangeObjectState(self.object_name, "dirty");
		ChangeObjectState(self.fight_down_spot_name, "dirty");
	else
		ChangeObjectState(self.object_name, "childon");
	end
	--PutCharacterOnObject(self.current_action_character, self.object_name);
end

function fightup1:clean_toddler_action(character_name)
	self.current_action_character = character_name;
	if GetObjectState(self.fight_down_spot_name) == "childon" then
		ChangeObjectState(self.object_name, "dirty");
		ChangeObjectState(self.fight_down_spot_name, "dirty");
	else
		ChangeObjectState(self.object_name, "childon");
	end
	--PutCharacterOnObject(self.current_action_character, self.object_name);
end

function fightup1:clean_schoolaged_action(character_name)
	self.current_action_character = character_name;
	if GetObjectState(self.fight_down_spot_name) == "childon" then
		ChangeObjectState(self.object_name, "dirty");
		ChangeObjectState(self.fight_down_spot_name, "dirty");
	else
		ChangeObjectState(self.object_name, "childon");
	end
	--PutCharacterOnObject(self.current_action_character, self.object_name);
end